Index: npl/internetserver/ppp/ppp.SlackBuild
===================================================================
--- npl/internetserver/ppp/ppp.SlackBuild	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/internetserver/ppp/ppp.SlackBuild	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,30 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: http://ftp.bit.nl/mirror/slackware/source/n/ppp/
+# Created at Wed Jun 28 17:52:27 CEST 2017
+
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./ppp.SlackBuild.orig
+
+# add microsoft pptp support for poptop_pptpd:
+
+echo "INCLUDE /etc/radiusclient/dictionary.microsoft" >> /tmp/package-ppp/etc/radiusclient/dictionary
+
+echo "localhost          testing123" >> /tmp/package-ppp/etc/radiusclient/servers
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/internetserver/ppp/ppp.SlackBuild.orig
===================================================================
--- npl/internetserver/ppp/ppp.SlackBuild.orig	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/internetserver/ppp/ppp.SlackBuild.orig	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,169 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010, 2013, 2015  Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=2.4.7
+RADVER=1.1.6
+PPPVER=1.98
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i486 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+if [ "$ARCH" = "x86_64" ]; then
+  LIBDIRSUFFIX="64"
+else
+  LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-ppp
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+echo "+============+"
+echo "| ppp-$VERSION |"
+echo "+============+"
+cd $TMP
+rm -rf ppp-$VERSION
+tar xvf $CWD/ppp-$VERSION.tar.xz || exit 1
+cd ppp-$VERSION || exit 1
+chown -R root:root .
+find . \
+  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+  -exec chmod 755 {} \; -o \
+  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+  -exec chmod 644 {} \;
+
+zcat $CWD/ppp.slack.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+sed -i -e "s#lib/pppd#lib${LIBDIRSUFFIX}/pppd#g" $(grep -lr 'lib/pppd' *)
+
+# This conflicts with the header in 3.5+ kernels:
+rm -f include/linux/if_pppol2tp.h
+
+zcat $CWD/ppp.CVE-2015-3310.diff.gz | patch -p1 --verbose || exit 1
+
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX}
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG/usr
+
+# Install PPP config files:
+mkdir -p $PKG/etc/ppp
+cp -a etc.ppp/* $PKG/etc/ppp
+chmod 600 $PKG/etc/ppp/*secrets
+( cd $PKG/etc/ppp
+  mv chap-secrets chap-secrets.new
+  mv options options.new
+  mv pap-secrets pap-secrets.new
+)
+zcat $CWD/options.new.gz > $PKG/etc/ppp/options.new
+
+# Fix what seems like an insecure default setting.
+# Feel free to "chmod 4750 pppoatm.so rp-pppoe.so" at your own risk.
+# Since they are only runnable by group root, the risk really isn't much...
+chmod 755 $PKG/usr/lib${LIBDIRSUFFIX}/pppd/*/*.so
+
+mkdir -p $PKG/usr/doc/ppp-$VERSION
+cp -a \
+  FAQ PLUGINS README* SETUP scripts \
+  $PKG/usr/doc/ppp-$VERSION
+
+echo "+====================+"
+echo "| freeradius-client-$RADVER |"
+echo "+====================+"
+cd $TMP
+rm -rf freeradius-client-$RADVER
+tar xf $CWD/freeradius-client-$RADVER.tar.xz || exit 1
+cd freeradius-client-$RADVER || exit 1
+chown -R root:root .
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --sysconfdir=/etc \
+  --build=$ARCH-slackware-linux
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+zcat $CWD/radius.msdict.gz > $PKG/etc/radiusclient/dictionary.microsoft
+zcat $CWD/realms.gz > $PKG/etc/radiusclient/realms
+( cd $PKG/etc/radiusclient
+  chmod 600 realms servers
+  mv issue issue.new
+  mv radiusclient.conf radiusclient.conf.new
+  mv realms realms.new
+  mv servers servers.new
+)
+mkdir -p $PKG/usr/doc/freeradius-client-$RADVER
+cp -a \
+  BUGS COPYRIGHT README README.radexample doc/instop.html \
+  $PKG/usr/doc/freeradius-client-$RADVER
+chmod 644 $PKG/usr/doc/freeradius-client-$RADVER/*
+
+echo "+===============+"
+echo "| pppsetup-$PPPVER |"
+echo "+===============+"
+cd $TMP
+rm -rf pppsetup-$PPPVER
+tar xvf $CWD/pppsetup-$PPPVER.tar.xz || exit 1
+cd pppsetup-$PPPVER || exit 1
+chown -R root:root .
+zcat $CWD/pppsetup-1.98.slack.diff.gz | patch -p1 --backup || exit
+zcat $CWD/pppsetup-1.98.pppoff.diff.gz | patch -p0 --backup || exit
+zcat $CWD/pppsetup-1.98.moredevs.diff.gz | patch -p1 --backup || exit
+zcat $CWD/pppsetup-1.98.backupfiles.diff.gz | patch -p1 --backup || exit
+chmod 755 ppp-off pppsetup
+cp -a ppp-off pppsetup $PKG/usr/sbin
+mkdir -p $PKG/usr/doc/pppsetup
+cp -a \
+  README.pppsetup ppp-compile.txt pppsetup-$PPPVER.README pppsetup-$PPPVER.lsm \
+  $PKG/usr/doc/pppsetup
+
+( cd $PKG
+  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+  find . -name "*.a" | xargs file | grep "ar archive" | cut -f 1 -d : | xargs strip -g 2> /dev/null
+)
+
+chmod 755 $PKG/usr/sbin/*
+
+gzip -9 $PKG/usr/man/man?/*.?
+chmod 644 $PKG/usr/man/man?/*
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/ppp-$VERSION-$ARCH-$BUILD.txz
+
Index: npl/internetserver/ppp/ppp.arch
===================================================================
--- npl/internetserver/ppp/ppp.arch	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/internetserver/ppp/ppp.arch	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,1 @@
+i486
Index: npl/internetserver/ppp/ppp.build
===================================================================
--- npl/internetserver/ppp/ppp.build	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/internetserver/ppp/ppp.build	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,1 @@
+7
Index: npl/internetserver/ppp/ppp.md5
===================================================================
--- npl/internetserver/ppp/ppp.md5	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/internetserver/ppp/ppp.md5	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,19 @@
+84d4d9f8f8d9d50145bd2ae6bc17b528  ./doinst.sh.gz
+5e49056ec09893b9febbea8465004b46  ./freeradius-client-1.1.6.tar.xz
+9467c67ee1289b53887a88a8d3af2ef9  ./options.new.gz
+36eef9589f55d85fae17327037cc0760  ./ppp-2.4.7.tar.xz
+a0e118e536a2b507a7b8d91e252a38a5  ./ppp.CVE-2015-3310.diff.gz
+97c11ce913ab37e545e79e24eb8c59ff  ./ppp_dev.pkg
+15d48705f80c04662febdf7c2edf689a  ./ppp.pkg
+cfcc8b4ba69927d23b39dc824c9b1985  ./pppsetup-1.98.backupfiles.diff.gz
+14b9880070fdd3d11a991b8a9c519932  ./pppsetup-1.98.moredevs.diff.gz
+cf7bafd178fbdadcff4c1c58949fcdbd  ./pppsetup-1.98.pppoff.diff.gz
+e566fc331419a8c2971c630b368eb9a5  ./pppsetup-1.98.slack.diff.gz
+102564222cf87f52dc503c22eb2470ad  ./pppsetup-1.98.tar.xz
+db642aa90b0ff8449eaf64bf1c583199  ./ppp.SlackBuild
+60e13e6d327eb9a7146e023ed03dc9bd  ./ppp.SlackBuild.log.gz
+9ad99dd0ecb0348d0019c4d710070590  ./ppp.SlackBuild.orig
+23dfd8e7153b715e8068e97f51ef1be1  ./ppp.slack.diff.gz
+5280465d9cf03beadb99c5698909a667  ./radius.msdict.gz
+dc57dd58690a18b7e1a8a727c8b06a96  ./realms.gz
+f77194697b48273eb7ee31b12620c622  ./slack-desc
Index: npl/internetserver/ppp/ppp.version
===================================================================
--- npl/internetserver/ppp/ppp.version	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/internetserver/ppp/ppp.version	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,1 @@
+2.4.7
Index: npl/internetserver/ppp/ppp_dev.arch
===================================================================
--- npl/internetserver/ppp/ppp_dev.arch	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/internetserver/ppp/ppp_dev.arch	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,1 @@
+i486
Index: npl/internetserver/ppp/ppp_dev.build
===================================================================
--- npl/internetserver/ppp/ppp_dev.build	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/internetserver/ppp/ppp_dev.build	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,1 @@
+7
Index: npl/internetserver/ppp/ppp_dev.version
===================================================================
--- npl/internetserver/ppp/ppp_dev.version	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/internetserver/ppp/ppp_dev.version	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,1 @@
+2.4.7
Index: npl/internetserver/ppp/slack-desc
===================================================================
--- npl/internetserver/ppp/slack-desc	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
+++ npl/internetserver/ppp/slack-desc	(revision ddea341f0eb29cc62c63e28e95b71ad528af8638)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+   |-----handy-ruler------------------------------------------------------|
+ppp: ppp (Point-to-Point Protocol)
+ppp:
+ppp: The Point-to-Point Protocol (PPP) provides a method for transmitting
+ppp: data over serial links.  It's commonly used for connecting to the
+ppp: Internet using a modem.  This package includes the PPP daemon (pppd),
+ppp: which negotiates with the peer to establish the link and sets up the
+ppp: ppp network interface, and pppsetup, an easy-to-use utility for
+ppp: setting up your PPP daemon.
+ppp:
+ppp:
+ppp:
